<?php

/**

 * @package Body_Fat_Calculator

 * @version 1.1

 */

/*

Plugin Name: Body Fat Calculator

Plugin URI: http://wordpress.org/extend/plugins/body_fat_calculator

Description: Use the short code [cal_body_fat] to use this calculator.

Author: Kumar Abhishek

Version: 1.1

Author URI: abhishekfreelancer.com

*/



function cal_body_fat_func() {

     return '<link rel="stylesheet" href="' . plugins_url() . '/body_fat_calculator/css/body_fat_calculator.css" type="text/css" />

	 <script type="text/javascript" src="' . plugins_url() . '/body_fat_calculator/js/bodyfat.js"></script>



<div class="fatcalc-wrapper">

<center><h3>Calculate Your Body Fat</h3></center>



<form id="calculator" name="calculator" class="tool_calc bodyfat_bg">



  <table class="tool_calc bodyfat_table" style="border:0px;">

    <tr style="border:0px;">

      <td class="td_title" class="td_class" style="border:0px;"><label>Units:</label></td>

      <td class="td_input" id="td_units" style="border:0px;">

  			<span class="textInput units_class">

  				<input onclick="setUnits(this.value)" checked="checked" type="radio" name="units" value="english" /> English

  				<input onclick="setUnits(this.value)" type="radio" name="units" value="metric" /> Metric

  			</span>

      </td>

    </tr>

    <tr style="border:0px;">

      <td class="td_title" style="border:0px;"><label>Gender:</label></td>

      <td class="td_input" id="td_gender" style="border:0px;">

				<span class="textInput gender_class">

					<input onClick="setGenderInputs(this.value)" type="radio" name="gender" value="f" checked="checked" /> Female

					<input onClick="setGenderInputs(this.value)" type="radio" name="gender" value="m" /> Male

				</span>

      </td>

    </tr>

  </table>

  <table class="tool_calc bodyfat_table male_table male hide" id="male" style="border:0px; display:none;" >

    <tr style="border:0px;">

      <td class="td_title" class="td_class" style="border:0px;"><label id="lbl_abdomen">Abdomen (inches):</label></td>

      <td class="td_input" id="td_abdomen" style="border:0px;">

				<input name="abdomen" id="abdomen" type="text" class="textInput" value="40" onfocus="{ this.value = \'\'; }" onblur="if (this.value == \'\') { this.value = \'40\'; }"/>

      </td>

    </tr>

  </table>

  <table class="tool_calc bodyfat_table female" id="female" style="border:0px;">

    <tr style="border:0px;">

      <td class="td_title" class="td_class" style="border:0px;"><label id="lbl_waist">Waist (inches):</label></td>

      <td class="td_input" id="td_waist" style="border:0px;">

				<input name="waist" id="waist" type="text" class="textInput" value="35" onfocus="{ this.value = \'\'; }" onblur="if (this.value == \'\') { this.value = \'35\'; }"/>

      </td>

    </tr>

    <tr style="border:0px;">

      <td class="td_title" style="border:0px;"><label id="lbl_hip">Hips (inches):</label></td>

      <td class="td_input" id="td_hip" style="border:0px;">

				<input name="hip" id="hip" type="text" class="textInput" value="40" onfocus="{ this.value = \'\'; }" onblur="if (this.value == \'\') { this.value = \'40\'; }"/>

      </td>

    </tr>

  </table>

  <table class="tool_calc bodyfat_table" style="border:0px;">

    <tr style="border:0px;">

      <td class="td_title" class="td_class" style="border:0px;"><label id="lbl_neck">Neck (inches):</label></td>

      <td class="td_input" id="td_neck" style="border:0px;">

				<input name="neck" id="neck" type="text" class="textInput" value="20" onfocus="{ this.value = \'\'; }" onblur="if (this.value == \'\') { this.value = \'20\'; }"/>

      </td>

    </tr>

    <tr style="border:0px;">

      <td class="td_title" style="border:0px;"><label id="lbl_height">Height (inches):</label></td>

      <td class="td_input" id="td_height" style="border:0px;">

				<input name="height" id="height" type="text" class="textInput" value="66" onfocus="{ this.value = \'\'; }" onblur="if (this.value == \'\') { this.value = \'66\'; }"/>

      </td>

    </tr>

  </table>

  <table class="tool_calc bodyfat_table" style="border:0px;">

    <tr style="border:0px;">

      <td class="td_title" class="td_class" style="border:0px;">

					<input onclick="doCalculation()" type="button" value="CALCULATE" class="button1 calculate-button" style="float:right;"/>

      </td>

      <td class="td_title" style="border:0px;">

				<input onclick="doClear()" type="button" value="RESET" class="button1 reset-button" style="float:left;"/>

      </td>

    </tr>

  </table>

</form>



<center>

	<div>

		<label><span style="color: #2B547E;font-family:calibri; font-size: 20px; font-weight: bold;">Body fat percentage:</span></label>

		<span id="results" class="result_val" style="color: #2B547E;font-family:calibri; font-size: 20px; font-weight: bold;">-</span>

	</div>

	</div>';

}



add_shortcode('cal_body_fat', 'cal_body_fat_func');

?>